Ticket #132 (closed bug: fixed)

Opened 12 years ago

Last modified 12 years ago

ffadomixer doesn't work with python 2.4

Reported by: ppalmers Assigned to:
Priority: major Milestone: FFADO 2.0
Component: Version: FFADO 2.0-beta6 (1.999.36)
Keywords: Cc:
The device the bug applies to: saffire

Description

ello,

ffadomixer refuse to work:

$ ffadomixer Traceback (most recent call last):

File "/usr/local/bin/ffadomixer", line 42, in ?

from mixer_saffire import *

File "/usr/local/share/libffado/python/mixer_saffire.py", line 24,

in ?

from mixer_saffire_base import SaffireMixerBase?

File "/usr/local/share/libffado/python/mixer_saffire_base.py", line 26

class SaffireMixerBase?():

SyntaxError?: invalid syntax

Python is :

Python 2.4.4 (#2, Apr 15 2008, 23:43:20) [GCC 4.1.2 20061115 (prerelease) (Debian 4.1.1-21)] on linux2

$ pyuic -version Python User Interface Compiler 3.16 for Qt version 3.3.6

All the best.

Change History

06/08/08 05:39:34 changed by ppalmers

  • status changed from new to closed.
  • resolution set to fixed.

(In [1248]) fixes #132 (python2.4 issue)

06/10/08 12:05:52 changed by j.silvestre

  • status changed from closed to reopened.
  • version changed from FFADO 2.0-beta5.2 (1.999.34) to FFADO 2.0-beta6 (1.999.36).
  • resolution deleted.

Still something wrong with Python 2.4.4 :

$ffadomixer /usr/local/bin/ffadomixer:30: DeprecationWarning?: Non-ASCII character '\xc3' in file /usr/local/share/libffado/python/ffadomixer_config.py on line 6, but no encoding declared; see http://www.python.org/peps/pep-0263.html for details

from ffadomixer_config import FFADO_VERSION

Found device 0: 00130e0100041e9e

Found (00130e0100041e9e, 130E, 0) Focusrite SaffireLE

show dialog... Traceback (most recent call last):

File "/usr/local/bin/ffadomixer", line 353, in ?

reg.check_for_registration()

File "/usr/local/share/libffado/python/ffado_registration.py", line 117, in check_for_registration

self.email)

File "/usr/local/share/libffado/python/ffado_regdialog.py", line 30, in init

ffadoRegDialogUI.init(self,parent,name,modal,fl)

File "/usr/local/share/libffado/python/ffado_regdialogui.py", line 91, in init

self.textEdit2.setAutoFormatting(QTextEdit.AutoAll?)

TypeError?: argument 1 of QTextEdit.setAutoFormatting() has an invalid type

06/11/08 00:15:23 changed by ppalmers

can you attach the file /usr/local/share/libffado/python/ffadomixer_config.py?

06/11/08 06:20:35 changed by j.silvestre

/usr/local/share/libffado/python/ffadomixer_config.py :

REGISTER_URL = 'http://ffado.org/deviceregistration/register.php?action=register' INI_FILE_PATH = "~/.ffado/registration.ini"

FFADO_CONFIG_DIR = "~/.ffado"

FFADO_VERSION="1.999.36-exporté"

09/23/08 01:34:41 changed by ppalmers

(In [1330]) re #132: should fix warning message on encoding

09/23/08 01:36:30 changed by ppalmers

The error message is strange: """ TypeError??: argument 1 of QTextEdit.setAutoFormatting() has an invalid type """

since this is in PyQt? auto-generated code. Are you sure the versions of pyqt and Qt match?

10/07/08 11:21:13 changed by j.silvestre

$ pyuic -version Python User Interface Compiler 3.16 for Qt version 3.3.6

and

$ ls /usr/lib/libqt libqt-mt.so.3.3.7

Looks like versions doesn't match?

10/19/08 03:44:08 changed by ppalmers

  • status changed from reopened to closed.
  • resolution set to fixed.

non-matching versions are not a FFADO problem, but a distro problem.